.overlay {
    display: none;
    position: fixed;
    inset: 0;
    z-index: 99; /* debajo del menú */
}

.overlay.visible {
    display: block;
}


.menuButton {
     top: 0;
     position: fixed;
        width: 100%;
    padding: 5px;
    
    z-index: 99;
    font-size: 1.5em;
    color: #393939cc;
    border-bottom: 1px solid #cccc;
    border-top: 1px solid #cccc;
    text-align: center;
    box-sizing: border-box;
        box-shadow: 0 -1px 5px rgba(0, 0, 0, 0.4);
}

@media (min-width: 768px) {
    .menuButton {
        display: none;
    }

}



.header {
    opacity: 0;
    visibility: hidden;
    transform: translateY(-100%);
    transition: opacity 0.2s ease, transform 0.2s ease, visibility 0.2s;
    position: fixed;
    left: 0;
    right: 0;
    top: 0;
    z-index: 999;  /* ← alto para que quede sobre todo */

    background: #ffffff;

    padding: 0.5rem;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.4);
}

@media (min-width: 768px) {
    .header {
        opacity: 1;
        visibility:visible;
                top: 43px;
    }

}

.header.visible {
    opacity: 1;
    visibility: visible;
    transform: translateY(0);
}

.menuitem {
    padding: 5px;
    box-sizing: border-box;
    text-decoration: none;
    font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
    margin-left: 2px;
}
.menuitem a {
    text-decoration: none;
}
@media (min-width: 768px) {
    .nameUser {
        position: absolute;
        right: 1rem;
        top: 50%;
        transform: translateY(-50%);
        /* centra verticalmente */
    }
}